Run ML Clear POV
Clears model artifacts and data from a POV combination for any application.
Required Roles
Service Administrator, Power User
REST Resource
POST
/epm/rest/{api_version}/applications/{application}/povs/{povGroupMember}/jobs/clearPOVJob
Request
Supported Media Types: application/json
The following table summarizes the client request.
Table 10-35 Parameters
| Name | Description | Type | Required | Default |
|---|---|---|---|---|
|
|
Version of the API you are developing with |
Path |
Yes |
None |
|
|
Name of the application for which to run calculations |
Path |
Yes |
None |
|
|
The POV group member for which to clear model artifacts sand data, such as |
Path |
Yes |
None |
|
|
To clear the program rule details or not; true/false |
Payload |
No |
None |
|
|
To clear input data or not; true/false |
Payload |
No |
None |
|
|
A query name already existing within the application; used to clear a region within the given POV |
Payload |
No |
None |
|
|
To clear allocation values or not; true/false |
Payload |
No |
None |
|
|
To clear adjustment values or not; true/false |
Payload |
No |
None |
|
|
String delimiter for POV group members |
Payload |
No |
"_" (Underscore) |
Note:
If queryName is used (is not null), then isManageRule, isAllocatedValues, and isAdjustmentValues must be set to false.
If one of these parameters or isInputData is not passed, it is considered as false.
Example URL and payload to clear to a particular region within input data
https://<BASE-URL>/epm/rest/{api_version}/applications/{application}/povs/{povGroupMember}/jobs/clearPOVJob
{"isInputData":"true","queryName":"myQueryName","stringDelimiter":"_"}
Response
Supported Media Types: application/json
Table 10-36 Parameters
| Name | Description |
|---|---|
details |
Task ID, such as BksML1_BksML1_ClearMLPOV_D20160113T070358_1da_1 |
status |
See Migration Status Codes |
statusMessage |
Message about the status, such as In Progress |
type |
Profitability |
links |
Detailed information about the link |
href |
Links to API call |
action |
The HTTP call type |
rel |
Relationship type |
data |
Parameters as key value pairs passed in the request |
Example of Response Body
The following shows an example of the response body in JSON format.
{
"type":"Profitability",
"status":-1,
"statusMessage":"In Progress",
"details":"BksML30_ClearMLPOV_D20220511T114821_f4b",
"links":[
{
"href":"https://<BASE-URL>/epm/rest/v1/applications/jobs/ChecktaskStatusJob/BksML30_ClearMLPOV_D20220511T114821_f4b",
"action":"GET",
"rel":"Job Status"
}
]
}